> ## Name

> cgGetConnectedParameter - gets the connected source parameter

> ## Synopsis

>     #include <Cg/cg.h>

>     CGparameter cgGetConnectedParameter( CGparameter param );

> ## Parameters

> param
>   The destination parameter.

> ## Return Values

> Returns the connected source parameter if param is connected to one.

> Returns NULL otherwise.

> ## Description

> Returns the source parameter to which param is connected.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> cgGetConnectedParameter was introduced in Cg 1.2.

> ## See Also

> cgConnectParameter, cgDisconnectParameter, cgGetConnectedToParameter